summaryrefslogtreecommitdiff
path: root/nonsystemd/hostapd-openrc/hostapd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/hostapd-openrc/hostapd.initd')
-rw-r--r--nonsystemd/hostapd-openrc/hostapd.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/nonsystemd/hostapd-openrc/hostapd.initd b/nonsystemd/hostapd-openrc/hostapd.initd
new file mode 100644
index 000000000..af104f9d4
--- /dev/null
+++ b/nonsystemd/hostapd-openrc/hostapd.initd
@@ -0,0 +1,21 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/hostapd/files/hostapd-0.6.9-init.d,v 1.2 2009/05/17 10:18:18 gurligebis Exp $
+
+command="/usr/bin/hostapd"
+command_args="-B ${OPTIONS} ${CONFIGS}"
+extra_started_commands="reload"
+required_files="$CONFIGS"
+
+depend() {
+ need net
+ after firewall
+ use logger
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME} configuration"
+ kill -HUP $(pidof /usr/bin/hostapd) > /dev/null 2>&1
+ eend $?
+}